Issue394

Title Standalone build on Windows never finish
Priority bug Status unread
Superseder Nosy List anderspe
Assigned To Keywords compiler, standalone, windows

Created on 2018-03-14.14:26:30 by anderspe, last changed by Walter_mc.

Files
File name Uploaded Type Edit Remove
hello.py anderspe, 2018-03-21.14:13:33 text/plain
talker.py anderspe, 2018-03-21.14:13:43 text/plain
Messages
msg2548 (view) Author: Walter_mc Date: 2018-10-01.14:08:22
This issue is also happening to me and I don't have any other mingw in path
other than Mingww-64. Dependency walker exhausts cpu on i7. 

Compiler - gcc version 8.1.0 (x86_64-win32-seh-rev0, Built by MinGW-W64 project)
Python 3.6.6 (v3.6.6:4cf1f54eb7, Jun 27 2018, 03:37:03) [MSC v.1900 64 bit
(AMD64)] on win32

I removed MSVC tools from path also.
msg2344 (view) Author: anderspe Date: 2018-03-22.10:52:18
Problem solved.
It was the path, but not as i was think first.
I hade Haskell compiler installed, and it was in the path, it used Mingw not 
64, and it looks like Depends.exe finds it when scanning and it hangs then.

I try to just remove Haskells compiler from the path and it works.
So NOO referens in path to other MinGw is working.

So this "bug" can be closed, but maby added to som FAQ for windows version.
/Anders
msg2343 (view) Author: anderspe Date: 2018-03-21.16:17:45
Think i found the error.
- I try to runt Dependes.exe same as Nuitka does == Error!
- I try to just run Dependes.exe standalone, but when loading hello.exe it 
hangs.

Made a batchfile with only the minimal stuff in PATH variable (i found that  
Depends.exe search all it can find's in path's structure)

When i did this Dependes.exe standalone works.
Then i try one more time to run Dependes.exe as Nuitka does, and it 
works.

So it something wrong when there is a complicated PATH structure, it looks 
like Dependes.exe can't handle this. (it a old program, and maby the 
structure is not handling big path setting well "guessing")

If i have time tomorrow i kan testa, to run nuitka and set minimal path 
before.

/Anders
msg2341 (view) Author: anderspe Date: 2018-03-21.14:13:33
Don't help to use MinGW 64, i still hangs running 30% CPU forever.
The project works if not using --standalone eg invoking Dependecy walker.

Commandline CMD and Powershell tested (same problem in both)

Use:
nuitka --standalone --portable --remove-output --recurse-all hello.py

Py, files added.
msg2337 (view) Author: anderspe Date: 2018-03-21.12:02:07
I'am using mingw, i will try to switch to MinGW64, and test.
/Anders
msg2336 (view) Author: kayhayen Date: 2018-03-21.10:28:59
There may be an infinite recursion going on. Just as I said, the reason you are 
seeing this may well be that you are using the wrong C compiler.

The infinite recursion appears to be a real thing though, so please confirm what 
compiler you are using, as I have reason to suspect that some extension modules 
also cause this.

Thanks,
Kay
msg2331 (view) Author: anderspe Date: 2018-03-14.14:26:30
When compiling using --standalone process never done, when calling dependecy.exe
it never get finish, i wait over 30 mins for a Pythonfile with only one line print("Hello World")

If compiling without --standalone it works, problem is when it calls dependecy.exe

Using 
Windows 10 + Mingw
History
Date User Action Args
2018-10-01 14:08:22Walter_mcsetstatus: resolved -> unread
messages: + msg2548
2018-03-22 10:52:18anderspesetstatus: chatting -> resolved
messages: + msg2344
2018-03-21 16:17:45anderspesetmessages: + msg2343
2018-03-21 16:13:17anderspesetmessages: - msg2342
2018-03-21 16:12:01anderspesetmessages: + msg2342
2018-03-21 14:13:43anderspesetfiles: + talker.py
2018-03-21 14:13:33anderspesetfiles: + hello.py
messages: + msg2341
2018-03-21 12:02:07anderspesetmessages: + msg2337
2018-03-21 10:28:59kayhayensetstatus: unread -> chatting
messages: + msg2336
2018-03-14 14:43:11anderspesettitle: Standalone Windows never finish -> Standalone build on Windows never finish
2018-03-14 14:26:30anderspecreate